--- /dev/null	2014-11-12 17:44:34.000000000 +0100
+++ new/usr/src/man/man7d/Makefile.orig	2014-11-12 17:44:34.449080218 +0100
@@ -0,0 +1,298 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet
+# at http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2011, Richard Lowe
+# Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
+
+include		$(SRC)/Makefile.master
+
+MANSECT= 	7d
+
+_MANFILES=	aac.7d		\
+		afe.7d		\
+		audio.7d	\
+		audio1575.7d	\
+		audioens.7d	\
+		audiols.7d	\
+		audiop16x.7d	\
+		audiopci.7d	\
+		audiots.7d	\
+		av1394.7d	\
+		bge.7d		\
+		blkdev.7d	\
+		bscv.7d		\
+		chxge.7d	\
+		console.7d	\
+		cpuid.7d	\
+		dca.7d		\
+		dcam1394.7d	\
+		devinfo.7d	\
+		dmfe.7d		\
+		dtrace.7d	\
+		ehci.7d		\
+		fasttrap.7d	\
+		fbt.7d		\
+		fcip.7d		\
+		fcoe.7d		\
+		fcoei.7d	\
+		fcoet.7d	\
+		fcp.7d		\
+		fctl.7d		\
+		fd.7d		\
+		fp.7d		\
+		gld.7d		\
+		hci1394.7d	\
+		hermon.7d	\
+		hid.7d		\
+		hme.7d		\
+		hubd.7d		\
+		hwahc.7d	\
+		hwarc.7d	\
+		hxge.7d		\
+		ib.7d		\
+		ibcm.7d		\
+		ibd.7d		\
+		ibdm.7d		\
+		ibdma.7d	\
+		ibtl.7d		\
+		ieee1394.7d	\
+		igb.7d		\
+		ii.7d		\
+		ipnet.7d	\
+		iscsi.7d	\
+		iser.7d		\
+		ixgbe.7d	\
+		kmdb.7d		\
+		kstat.7d	\
+		ksyms.7d	\
+		llc1.7d		\
+		lockstat.7d	\
+		lofi.7d		\
+		log.7d		\
+		md.7d		\
+		mediator.7d	\
+		mem.7d		\
+		mpt_sas.7d	\
+		mr_sas.7d	\
+		msglog.7d	\
+		mt.7d		\
+		mxfe.7d		\
+		myri10ge.7d	\
+		null.7d		\
+		nulldriver.7d	\
+		nxge.7d		\
+		ohci.7d		\
+		openprom.7d	\
+		pcic.7d		\
+		pcmcia.7d	\
+		physmem.7d	\
+		pm.7d		\
+		poll.7d		\
+		profile.7d	\
+		ptm.7d		\
+		pts.7d		\
+		pty.7d		\
+		qlc.7d		\
+		ramdisk.7d	\
+		random.7d	\
+		rge.7d		\
+		rtls.7d		\
+		sad.7d		\
+		sata.7d		\
+		scsa1394.7d	\
+		scsa2usb.7d	\
+		sd.7d		\
+		sdp.7d		\
+		sdt.7d		\
+		ses.7d		\
+		sfe.7d		\
+		sgen.7d		\
+		srpt.7d		\
+		st.7d		\
+		sv.7d		\
+		sysmsg.7d	\
+		systrace.7d	\
+		ticlts.7d	\
+		tty.7d		\
+		ttymux.7d	\
+		tzmon.7d	\
+		ugen.7d		\
+		uhci.7d		\
+		usb_ac.7d	\
+		usb_as.7d	\
+		usb_ia.7d	\
+		usb_mid.7d	\
+		usba.7d		\
+		usbftdi.7d	\
+		usbprn.7d	\
+		usbsacm.7d	\
+		usbsksp.7d	\
+		usbsprl.7d	\
+		usbvc.7d	\
+		uwba.7d		\
+		virtualkm.7d	\
+		vni.7d		\
+		vr.7d		\
+		wscons.7d	\
+		wusb_ca.7d	\
+		wusb_df.7d	\
+		xge.7d		\
+		yge.7d		\
+		zcons.7d	\
+		zero.7d
+
+sparc_MANFILES=	audiocs.7d	\
+		bbc_beep.7d	\
+		ctsmc.7d	\
+		cvc.7d		\
+		cvcredir.7d	\
+		dad.7d		\
+		dm2s.7d		\
+		dr.7d		\
+		eri.7d		\
+		fas.7d		\
+		gpio_87317.7d	\
+		grbeep.7d	\
+		idn.7d		\
+		mc-opl.7d	\
+		n2rng.7d	\
+		ncp.7d		\
+		ntwdt.7d	\
+		oplkmdrv.7d	\
+		oplmsu.7d	\
+		oplpanel.7d	\
+		pcicmu.7d	\
+		pcipsy.7d	\
+		pcisch.7d	\
+		schpc.7d	\
+		sf.7d		\
+		smbus.7d	\
+		socal.7d	\
+		ssd.7d		\
+		su.7d		\
+		todopl.7d	\
+		tsalarm.7d	\
+		zs.7d		\
+		zsh.7d
+
+i386_MANFILES=	ahci.7d		\
+		amd8111s.7d	\
+		amr.7d		\
+		arcmsr.7d	\
+		arn.7d		\
+		asy.7d		\
+		ata.7d		\
+		atge.7d		\
+		ath.7d		\
+		atu.7d		\
+		audio810.7d	\
+		audiocmi.7d	\
+		audiocmihd.7d	\
+		audioemu10k.7d	\
+		audiohd.7d	\
+		audioixp.7d	\
+		audiosolo.7d	\
+		audiovia823x.7d \
+		audiovia97.7d	\
+		bcm_sata.7d	\
+		bfe.7d		\
+		cmdk.7d		\
+		cpqary3.7d	\
+		dnet.7d		\
+		ecpp.7d		\
+		elxl.7d		\
+		heci.7d		\
+		i915.7d		\
+		ipmi.7d		\
+		iprb.7d		\
+		ipw.7d		\
+		iwh.7d		\
+		iwi.7d		\
+		mega_sas.7d	\
+		npe.7d		\
+		ntxn.7d		\
+		nv_sata.7d	\
+		pcn.7d		\
+		radeon.7d	\
+		ral.7d		\
+		rtw.7d		\
+		rum.7d		\
+		rwd.7d		\
+		rwn.7d		\
+		sda.7d		\
+		sdhost.7d	\
+		si3124.7d	\
+ 	 	skd.7d		\
+		smbios.7d	\
+		uath.7d		\
+		ural.7d		\
+		urtw.7d		\
+		wpi.7d		\
+		zyd.7d
+
+_MANLINKS=	1394.7d		\
+	 	allkmem.7d	\
+	 	bscbus.7d	\
+	 	fdc.7d		\
+	 	firewire.7d	\
+	 	hwa1480_fw.7d	\
+	 	i2bsc.7d	\
+	 	kmem.7d		\
+	 	lo0.7d		\
+	 	ticots.7d	\
+	 	ticotsord.7d	\
+	 	urandom.7d	\
+	 	usb.7d		\
+	 	uwb.7d
+
+sparc_MANLINKS=	drmach.7d	\
+		ngdr.7d		\
+		ngdrmach.7d
+
+MANFILES =	$(_MANFILES) $($(MACH)_MANFILES)
+MANLINKS =	$(_MANLINKS) $($(MACH)_MANLINKS)
+
+bscbus.7d	:= LINKSRC = bscv.7d
+i2bsc.7d	:= LINKSRC = bscv.7d
+
+drmach.7d	:= LINKSRC = dr.7d
+ngdr.7d		:= LINKSRC = dr.7d
+ngdrmach.7d	:= LINKSRC = dr.7d
+
+fdc.7d		:= LINKSRC = fd.7d
+
+1394.7d		:= LINKSRC = ieee1394.7d
+firewire.7d	:= LINKSRC = ieee1394.7d
+
+lo0.7d		:= LINKSRC = ipnet.7d
+
+allkmem.7d	:= LINKSRC = mem.7d
+kmem.7d		:= LINKSRC = mem.7d
+
+urandom.7d	:= LINKSRC = random.7d
+
+ticots.7d	:= LINKSRC = ticlts.7d
+ticotsord.7d	:= LINKSRC = ticlts.7d
+
+usb.7d		:= LINKSRC = usba.7d
+
+uwb.7d		:= LINKSRC = uwba.7d
+
+hwa1480_fw.7d	:= LINKSRC = wusb_df.7d
+
+.KEEP_STATE:
+
+include		$(SRC)/man/Makefile.man
+
+install:	$(ROOTMANFILES) $(ROOTMANLINKS)
